Summary: 	%_vendor LXDE configuration files
Name:    	mageia-lxde-config
Version: 	0.6.2
Release: 	%mkrel 1
Group:   	Graphical desktop/Other
License: 	GPLv2+
URL:		http://www.lxde.org
# (fwang) http://svn.mageia.org/svn/soft/mageia-lxde-config/
Source0: 	%{name}-%{version}.tar.xz
BuildArch: 	noarch

%description
Configuration files for %_vendor LXDE desktop environment.

%package -n %{name}-Default
Summary: 	%_vendor LXDE Free configuration files
Group: 		Graphical desktop/Other
Requires:	mageia-release-Default
Requires:	mageia-theme-Default
Obsoletes:      %{name}-Free < 0.6.1
Conflicts:	%{name}-Flash
Conflicts:	%{name}-One
Conflicts:	%{name}-Powerpack
Conflicts:      lxde-common < 0.3.2.1-6
Requires(post): lxde-common >= 0.5
Requires(postun): lxde-common >= 0.5
Provides:	%{name} = %{version}

%description -n %{name}-Default
Configuration files for %_vendor Free LXDE desktop environment.

%prep
%setup -qn %{name}-%{version}

%install
rm -rf %{buildroot}

export sysconfdir=%{_sysconfdir}
export localstatedir=%{_localstatedir}/lib

%makeinstall_std

%pre -n %{name}-Default
if [ -d %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default ]; then
  rm -rf %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default
fi

%post -n %{name}-Default
update-alternatives --install %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf lxde-config %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default/desktop.conf 10

%postun -n %{name}-Default
if ! [ -e /var/lib/%_real_vendor/lxde-profiles/Default ]; then
  update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/desktop.conf
fi

%triggerpostun -n %{name}-Default -- %{name}-Default < 0.5
update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/config

%files -n %{name}-Default
%{_localstatedir}/lib/mageia/lxde-profiles/Default


%changelog

* Sun Jan 22 2012 fwang <fwang> 0.6.2-1.mga2
+ Revision: 199730
- upload taball
- new version 0.6.2: use oxygen as default theme

* Thu Feb 10 2011 dmorgan <dmorgan> 0.6.1-1.mga1
+ Revision: 49846
- Use Default instead of Free for the product

* Fri Feb 04 2011 ahmad <ahmad> 0.6-2.mga1
+ Revision: 46994
- imported package mageia-lxde-config

